# string::trim-end

Returns the given string trimmed of trailing whitespace.

### Usage

`string string::trim-end(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | input string

### Return Value

The string s with any trailing white space characters removed.

### Examples

-     string::trim-end('  test  ') ==> '  test'

-     string::trim-end('\t\tfoo  \r\n') ==> '\t\tfoo'

### Requirements

Assembly: NAnt.Core (0.90.3780.0)